Bug 213381 - Listen segmentation fault on Lyrics or wikipedia
Listen segmentation fault on Lyrics or wikipedia
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: listen (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-01 03:22 EST by Seby Carta
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.5-11.beta1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-18 09:14:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
listen fix for mozembed: wikipedia/lyrics (427 bytes, patch)
2007-01-07 01:01 EST, Jeff Moe (jebba)
no flags Details | Diff
Patch for listen.spec (version 0.5-10) (2.01 KB, patch)
2007-01-13 01:45 EST, Remi Collet
no flags Details | Diff
45520: Patch for listen.spec (version 0.5-10) - new (1.99 KB, patch)
2007-01-13 06:08 EST, Remi Collet
no flags Details | Diff
Patch for gecko on src/widget/mozembed_wrap.py (516 bytes, patch)
2007-01-13 06:09 EST, Remi Collet
no flags Details | Diff

  None (edit)
Description Seby Carta 2006-11-01 03:22:51 EST
Description of problem:

When i click on "wikipedia" or on "Lyrics" Listen exit with error:
-------------------------------
/usr/bin/listen: line 3:  3485 Segmentation fault     
LD_LIBRARY_PATH=/usr/lib64/firefox-1.5.0.7 /usr/lib64/listen/listen.py "$@"
------------------------------------

As you can see i added in /usr/bin/listen script the path to firefox as
suggested on listen website, but nothing changed

Version-Release number of selected component (if applicable):
FC6 x86_64 ( only official repositories )
Listen 0.5-8.beta1.fc6

How reproducible: Always


Steps to Reproduce:
1. Open Listen
2. Click on Wikipedia or Lyrics
3.
  
Actual results:
Segmentation fault

Expected results:
Open related panels

Additional info:
Comment 1 Haïkel Guémar 2006-11-01 07:25:19 EST
I have already noticed this.
It's pending to gnome-python2-gtkmozembed segfault bug resolution (#205499)
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=205499
Comment 2 Jeff Moe (jebba) 2007-01-07 01:01:57 EST
Created attachment 144997 [details]
listen fix for mozembed: wikipedia/lyrics

Per the suggstion in #205499, here's a patchlet to get listen to show wikipedia
and lyrics again. Note this thing hardwires in firefox's version, so listen has
to be recompiled and the patch changed with every firefox version--less than
ideal... It's not a nice final resolution to the issue, but "it works for now".


I tried the patch in mozilla #358926 (attachment #246659), but it just failed
in a new spot...

Good luck  :)
Comment 3 Haïkel Guémar 2007-01-07 11:36:23 EST
Nice job, I'll push an update this week.
Comment 4 Remi Collet 2007-01-13 01:45:29 EST
Created attachment 145520 [details]
Patch for listen.spec (version 0.5-10)

Previous patch allow detection at buildtime.

This one allow detection at runtime.

Regards
Comment 5 Remi Collet 2007-01-13 06:08:13 EST
Created attachment 145523 [details]
45520: Patch for listen.spec (version 0.5-10) - new

More robust solution.

Catching exception to allow listen to run even if gecko not located.
Comment 6 Remi Collet 2007-01-13 06:09:21 EST
Created attachment 145524 [details]
Patch for gecko on src/widget/mozembed_wrap.py
Comment 7 Haïkel Guémar 2007-01-13 07:36:25 EST
Thanks Remi for your patch, it will be integrated today.
Comment 8 Haïkel Guémar 2007-01-18 09:14:46 EST
Everything seems OK. Bug closed. :)

Note You need to log in before you can comment on or make changes to this bug.